package jp.veritrans.mpos.v2.sdk.sample.model;

import java.io.Serializable;

/**
 * ログ出力用のレスポンス格納クラス。
 */
public class ResponseLogItem implements Serializable {

	/** シリアルバージョンID */
	private static final long serialVersionUID = 1L;

	/** ステータス */
	public enum Status {
		OK,
		MISSING,
		UNUSED,
	}

	/** キー */
	public String key;
	/** 値 */
	public Serializable value;
	/** ステータス */
	public Status status;

	/**
	 * コンストラクタ。
	 *
	 * @param key キー
	 * @param value 値
	 * @param status ステータス
	 */
	public ResponseLogItem(String key, Serializable value, Status status) {
		this.key = key;
		this.value = value;
		this.status = status;
	}
}
