package jp.veritrans.mpos.v2.sdk.sample.model;

import jp.veritrans.mpos.v2.sdk.MposResponseParam;

/**
 * ログ出力用のレスポンス並び順。
 */
public final class ResponseLogOrder {

	/** 決済 */
	public static final String[] PAYMENT_ORDERS = {
			MposResponseParam.STATUS,
			MposResponseParam.ERROR_CODE,
			MposResponseParam.ERROR_MESSAGE,
			MposResponseParam.RESULT_CODE,
			MposResponseParam.ORDER_ID,
			MposResponseParam.ORDER_REFERENCE_ID,
			MposResponseParam.PAYMENT_METHOD_CODE,
			MposResponseParam.PAYMENT_SOURCE,
			MposResponseParam.AMOUNT,
			MposResponseParam.DISCOUNT_AMOUNT,
			MposResponseParam.TOTAL_AMOUNT,
			MposResponseParam.PAYMENT_TIME,
			MposResponseParam.ORDER_DESCRIPTION,
			MposResponseParam.CARD_NUMBER,
			MposResponseParam.CARD_NUMBER_TOKEN,
			MposResponseParam.CARD_PROVIDER_CODE,
			MposResponseParam.CARD_EXPIRY,
			MposResponseParam.CARD_TYPE,
			MposResponseParam.JPO,
			MposResponseParam.AUTH_CODE,
			MposResponseParam.ACQUIRER_CODE,
			MposResponseParam.CENTER_ACQUIRER_ID,
			MposResponseParam.CENTER_TRADEID,
			MposResponseParam.CENTER_PROCESS_ID,
			MposResponseParam.CENTER_REFERENCE_CODE,
			MposResponseParam.CENTER_TRANSACTION_TYPE,
			MposResponseParam.CENTER_TRANSACTION_DATETIME,
			MposResponseParam.CENTER_TERMINAL_ID,
			MposResponseParam.CENTER_MERCHANT_ID,
			MposResponseParam.CENTER_MERCHANT_NAME,
			MposResponseParam.CUP_REQUEST_TIME,
			MposResponseParam.SETTLED_AMOUNT,
			MposResponseParam.SETTLED_SCALE,
			MposResponseParam.SETTLED_CURRENCY,
			MposResponseParam.EMV_APP_ID,
			MposResponseParam.EMV_ATC,
			MposResponseParam.EMV_APP_LABEL,
			MposResponseParam.PAN_SEQ_NUMBER,
			MposResponseParam.AOSA,
			MposResponseParam.CVM_TYPE,
			MposResponseParam.CVMR,
			MposResponseParam.TVR,
			MposResponseParam.TSI,
			MposResponseParam.TXN_CRYPTOGRAM,
			MposResponseParam.KEY_MILEAGE_MEMBERSHIP_NO,
			MposResponseParam.USAGE_TYPE,
			MposResponseParam.LAST_USE_DATE,
	};

	/** 取引検索 */
	public static final String[] SEARCH_ORDERS = {
			MposResponseParam.STATUS,
			MposResponseParam.ERROR_CODE,
			MposResponseParam.ERROR_MESSAGE,
			MposResponseParam.RESULT_CODE,
			MposResponseParam.HISTORY_LIST,
	};
	/** 取引検索：取引情報 */
	public static final String[] SEARCH_HISTORY_ORDERS = {
			MposResponseParam.ORDER_ID,
			MposResponseParam.ORDER_REFERENCE_ID,
			MposResponseParam.PAYMENT_METHOD_CATEGORY,
			MposResponseParam.PAYMENT_METHOD_CODE,
			MposResponseParam.PAYMENT_SOURCE,
			MposResponseParam.ORDER_STATUS,
			MposResponseParam.AMOUNT,
			MposResponseParam.DISCOUNT_AMOUNT,
			MposResponseParam.TOTAL_AMOUNT,
			MposResponseParam.REGISTERED_TIME,
			MposResponseParam.PAYMENT_TIME,
			MposResponseParam.STATUS,
			MposResponseParam.RESULT_CODE,
			MposResponseParam.ORDER_DESCRIPTION,
			MposResponseParam.CARD_NUMBER,
			MposResponseParam.CARD_NUMBER_TOKEN,
			MposResponseParam.CARD_PROVIDER_CODE,
			MposResponseParam.CARD_EXPIRY,
			MposResponseParam.CARD_TYPE,
			MposResponseParam.JPO,
			MposResponseParam.AUTH_CODE,
			MposResponseParam.ACQUIRER_CODE,
			MposResponseParam.CENTER_ACQUIRER_ID,
			MposResponseParam.CENTER_TRADEID,
			MposResponseParam.CENTER_PROCESS_ID,
			MposResponseParam.CENTER_REFERENCE_CODE,
			MposResponseParam.CENTER_TRANSACTION_TYPE,
			MposResponseParam.CENTER_TRANSACTION_DATETIME,
			MposResponseParam.CENTER_REFUND_DATETIME,
			MposResponseParam.CENTER_TERMINAL_ID,
			MposResponseParam.CENTER_MERCHANT_ID,
			MposResponseParam.CENTER_MERCHANT_NAME,
			MposResponseParam.CUP_REQUEST_TIME,
			MposResponseParam.SETTLED_AMOUNT,
			MposResponseParam.SETTLED_SCALE,
			MposResponseParam.SETTLED_CURRENCY,
			MposResponseParam.EMV_APP_ID,
			MposResponseParam.EMV_ATC,
			MposResponseParam.EMV_APP_LABEL,
			MposResponseParam.PAN_SEQ_NUMBER,
			MposResponseParam.AOSA,
			MposResponseParam.CVM_TYPE,
			MposResponseParam.CVMR,
			MposResponseParam.TVR,
			MposResponseParam.TSI,
			MposResponseParam.TXN_CRYPTOGRAM,
			MposResponseParam.KEY_MILEAGE_MEMBERSHIP_NO,
			MposResponseParam.USAGE_TYPE,
			MposResponseParam.LAST_USE_DATE,
	};

	/** メール送信 */
	public static final String[] MAIL_ORDERS = {
			MposResponseParam.STATUS,
			MposResponseParam.ERROR_CODE,
			MposResponseParam.ERROR_MESSAGE,
			MposResponseParam.RESULT_CODE,
	};

	/** 返金 */
	public static final String[] REFUND_ORDERS = {
			MposResponseParam.STATUS,
			MposResponseParam.ERROR_CODE,
			MposResponseParam.ERROR_MESSAGE,
			MposResponseParam.RESULT_CODE,
			MposResponseParam.ORDER_ID,
			MposResponseParam.PAYMENT_METHOD_CODE,
			MposResponseParam.PAYMENT_SOURCE,
			MposResponseParam.AMOUNT,
			MposResponseParam.DISCOUNT_AMOUNT,
			MposResponseParam.TOTAL_AMOUNT,
			MposResponseParam.CARD_NUMBER,
			MposResponseParam.CARD_NUMBER_TOKEN,
			MposResponseParam.CARD_PROVIDER_CODE,
			MposResponseParam.CARD_EXPIRY,
			MposResponseParam.CARD_TYPE,
			MposResponseParam.JPO,
			MposResponseParam.AUTH_CODE,
			MposResponseParam.ACQUIRER_CODE,
			MposResponseParam.CENTER_ACQUIRER_ID,
			MposResponseParam.CENTER_TRADEID,
			MposResponseParam.CENTER_PROCESS_ID,
			MposResponseParam.CENTER_REFERENCE_CODE,
			MposResponseParam.CENTER_TRANSACTION_TYPE,
			MposResponseParam.CENTER_TRANSACTION_DATETIME,
			MposResponseParam.CENTER_REFUND_DATETIME,
			MposResponseParam.CENTER_TERMINAL_ID,
			MposResponseParam.CENTER_MERCHANT_ID,
			MposResponseParam.CENTER_MERCHANT_NAME,
			MposResponseParam.CUP_REQUEST_TIME,
			MposResponseParam.EMV_APP_ID,
			MposResponseParam.EMV_ATC,
			MposResponseParam.EMV_APP_LABEL,
			MposResponseParam.PAN_SEQ_NUMBER,
			MposResponseParam.AOSA,
			MposResponseParam.CVM_TYPE,
			MposResponseParam.CVMR,
			MposResponseParam.TVR,
			MposResponseParam.TSI,
			MposResponseParam.TXN_CRYPTOGRAM,
			MposResponseParam.KEY_MILEAGE_MEMBERSHIP_NO,
	};

	/** 取消 */
	public static final String[] CANCEL_ORDERS = {
			MposResponseParam.STATUS,
			MposResponseParam.ERROR_CODE,
			MposResponseParam.ERROR_MESSAGE,
			MposResponseParam.RESULT_CODE,
			MposResponseParam.ORDER_ID,
			MposResponseParam.PAYMENT_METHOD_CODE,
			MposResponseParam.JPO,
			MposResponseParam.CARD_NUMBER,
			MposResponseParam.CARD_PROVIDER_CODE,
			MposResponseParam.CARD_EXPIRY,
			MposResponseParam.AUTH_CODE,
			MposResponseParam.ACQUIRER_CODE,
	};

	/** パスワード変更 */
	public static final String[] CHANGE_PASSWORD_ORDERS = {
			MposResponseParam.STATUS,
			MposResponseParam.ERROR_CODE,
			MposResponseParam.ERROR_MESSAGE,
			MposResponseParam.RESULT_CODE,
	};

	/** 取引集計 */
	public static final String[] REPORT_ORDERS = {
			MposResponseParam.STATUS,
			MposResponseParam.ERROR_CODE,
			MposResponseParam.ERROR_MESSAGE,
			MposResponseParam.RESULT_CODE,
			MposResponseParam.REPORT_TIME_FROM,
			MposResponseParam.REPORT_TIME_TO,
			MposResponseParam.PAYMENT_METHOD_CODE,
			MposResponseParam.ORDER_STATUS,
			MposResponseParam.SALES_REPORT,
			MposResponseParam.MILEAGE_REPORT,
	};
	/** 取引集計：売上 */
	public static final String[] REPORT_SALES_ORDERS = {
			MposResponseParam.CAPTURE_TOTAL_AMOUNT,
			MposResponseParam.REFUND_TOTAL_AMOUNT,
			MposResponseParam.DIFFERENCE_TOTAL_AMOUNT,
			MposResponseParam.CAPTURE_COUNT,
			MposResponseParam.REFUND_COUNT,
			MposResponseParam.DIFFERENCE_COUNT,
	};
	/** 取引集計：マイル積算 */
	public static final String[] REPORT_MILEAGE_ORDERS = {
			MposResponseParam.ACCRUAL_TOTAL_AMOUNT,
			MposResponseParam.CANCEL_TOTAL_AMOUNT,
			MposResponseParam.DIFFERENCE_TOTAL_AMOUNT,
			MposResponseParam.ACCRUAL_COUNT,
			MposResponseParam.CANCEL_COUNT,
			MposResponseParam.DIFFERENCE_COUNT,
	};

	/** BLEアップデート */
	public static final String[] BLE_UPDATE_ORDERS = {
			MposResponseParam.STATUS,
			MposResponseParam.ERROR_CODE,
			MposResponseParam.ERROR_MESSAGE,
			MposResponseParam.RESULT_CODE,
	};

	/** Tカード会員情報 */
	public static final String[] T_CARD_ORDERS = {
			MposResponseParam.STATUS,
			MposResponseParam.ERROR_CODE,
			MposResponseParam.ERROR_MESSAGE,
			MposResponseParam.RESULT_CODE,
			MposResponseParam.T_CARD_NUMBER,
	};

	/**
	 * コンストラクタ。
	 */
	private ResponseLogOrder() {
	}
}
