package jp.veritrans.mpos.v2.sdk.sample.scene;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Switch;

import java.util.HashMap;
import java.util.Map;

import jp.veritrans.mpos.v2.sdk.MposCompleteListener;
import jp.veritrans.mpos.v2.sdk.MposHandler;
import jp.veritrans.mpos.v2.sdk.MposRequestParam;
import jp.veritrans.mpos.v2.sdk.sample.R;
import jp.veritrans.mpos.v2.sdk.sample.model.ResponseLogMaker;
import jp.veritrans.mpos.v2.sdk.sample.util.TextUtil;

public class Mail extends SceneBase {

	private EditText editTextOrderID;
	private EditText editTextEmail;
	private EditText editTextMailType;

	private Switch switchOrderID;
	private Switch switchEmail;
	private Switch switchMailType;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_mail);
	}

	@Override
	public void setContentView(int layoutResID) {
		super.setContentView(layoutResID);

		editTextOrderID = findViewById(R.id.editTextOrderID);
		editTextEmail = findViewById(R.id.editTextEmail);
		editTextMailType = findViewById(R.id.editTextMailType);

		switchOrderID = findViewById(R.id.switchOrderID);
		switchEmail = findViewById(R.id.switchEmail);
		switchMailType = findViewById(R.id.switchMailType);

		// テキストボックスとクリアボタンの処理を紐づけ
		TextUtil.setClearEditTextButton(editTextMailType, R.id.clearButtonMailType);
	}

	public void onButtonStart(View v) {
		MposHandler sdkHandler = new MposHandler();

		// 共通ヘッダーパラメータ
		Map<String, String> headerParams = this.makeCommonHeaderParams();
		// リクエストパラメータ
		Map<String, String> requestParams = new HashMap<>();
		if (switchOrderID.isChecked()) {
			requestParams.put(MposRequestParam.ORDER_ID, editTextOrderID.getText().toString());
		}
		if (switchEmail.isChecked()) {
			requestParams.put(MposRequestParam.EMAIL, editTextEmail.getText().toString());
		}
		if (switchMailType.isChecked()) {
			requestParams.put(MposRequestParam.MAIL_TYPE, editTextMailType.getText().toString());
		}

		// 通信開始
		sdkHandler.requestSendReceipt(this, headerParams, requestParams, new MposCompleteListener() {
			@Override
			public void onComplete(Map<String, Object> response) {
				logSet(response);

				CharSequence message = ResponseLogMaker.makeString(ResponseLogMaker.convertMailItems(response));
				System.out.println(message);

				AlertDialog dialog = new AlertDialog.Builder(Mail.this).create();
				dialog.setMessage(message);
				dialog.setTitle("結果");
				dialog.setButton(DialogInterface.BUTTON_POSITIVE, "OK", new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int which) {

					}
				});
				dialog.show();
			}
		});
	}
}
