package jp.veritrans.mpos.v2.sdk.sample.scene;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Switch;

import java.util.HashMap;
import java.util.Map;

import jp.veritrans.mpos.v2.sdk.MposCompleteListener;
import jp.veritrans.mpos.v2.sdk.MposHandler;
import jp.veritrans.mpos.v2.sdk.MposRequestParam;
import jp.veritrans.mpos.v2.sdk.sample.R;
import jp.veritrans.mpos.v2.sdk.sample.model.ResponseLogMaker;

public class Password extends SceneBase {

	private EditText editTextOldPasswd;
	private EditText editTextNewPasswd;

	private Switch switchOldPasswd;
	private Switch switchNewPasswd;


	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_password);
	}

	@Override
	public void setContentView(int layoutResID) {
		super.setContentView(layoutResID);

		editTextOldPasswd = findViewById(R.id.editTextOldPasswd);
		editTextNewPasswd = findViewById(R.id.editTextNewPasswd);

		switchOldPasswd = findViewById(R.id.switchOldPasswd);
		switchNewPasswd = findViewById(R.id.switchNewPasswd);
	}

	public void onButtonStart(View v) {
		MposHandler sdkHandler = new MposHandler();

		// 共通ヘッダーパラメータ
		Map<String, String> headerParams = this.makeCommonHeaderParams();
		// リクエストパラメータ
		Map<String, String> requestParams = new HashMap<>();
		if (switchOldPasswd.isChecked()) {
			requestParams.put(MposRequestParam.OLD_PASSWORD, editTextOldPasswd.getText().toString());
		}
		if (switchNewPasswd.isChecked()) {
			requestParams.put(MposRequestParam.NEW_PASSWORD, editTextNewPasswd.getText().toString());
		}

		// 通信開始
		sdkHandler.requestChangePassword(this, headerParams, requestParams, new MposCompleteListener() {
			@Override
			public void onComplete(Map<String, Object> response) {
				logSet(response);

				CharSequence message = ResponseLogMaker.makeString(ResponseLogMaker.convertChangePasswordItems(response));
				System.out.println(message);

				AlertDialog dialog = new AlertDialog.Builder(Password.this).create();
				dialog.setMessage(message);
				dialog.setTitle("結果");
				dialog.setButton(DialogInterface.BUTTON_POSITIVE, "OK", new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int which) {

					}
				});
				dialog.show();
			}
		});
	}
}
