package jp.veritrans.mpos.v2.sdk.sample.scene;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Switch;

import java.util.HashMap;
import java.util.Map;

import jp.veritrans.mpos.v2.sdk.MposCompleteListener;
import jp.veritrans.mpos.v2.sdk.MposHandler;
import jp.veritrans.mpos.v2.sdk.MposRequestParam;
import jp.veritrans.mpos.v2.sdk.sample.R;
import jp.veritrans.mpos.v2.sdk.sample.model.ResponseLogMaker;

public class ReaderAppUpdateBT extends SceneBase {

	private EditText editTextProgressDialog;
	private EditText editTextBTConnectTimeout;

	private Switch switchProgressDialog;
	private Switch switchBTConnectTimeout;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_reader_app_update_bt);
	}

	@Override
	public void setContentView(int layoutResID) {
		super.setContentView(layoutResID);

		editTextProgressDialog = findViewById(R.id.editTextProgressDialog);
		editTextBTConnectTimeout = findViewById(R.id.editTextBTConnectTimeout);

		switchProgressDialog = findViewById(R.id.switchProgressDialog);
		switchBTConnectTimeout = findViewById(R.id.switchBTConnectTimeout);
	}

	public void onButtonStart(View v) {
		MposHandler sdkHandler = new MposHandler();

		// 共通ヘッダーパラメータ
		Map<String, String> headerParams = this.makeCommonHeaderParams();
		// リクエストパラメータ
		Map<String, String> requestParams = new HashMap<>();
		if (switchProgressDialog.isChecked()) {
			requestParams.put(MposRequestParam.PROGRESS_DIALOG, editTextProgressDialog.getText().toString());
		}
		if (switchBTConnectTimeout.isChecked()) {
			requestParams.put(MposRequestParam.BT_CONNECT_TIMEOUT, editTextBTConnectTimeout.getText().toString());
		}

		// 通信開始
		sdkHandler.requestReaderAppUpdateBT(this, headerParams, requestParams, new MposCompleteListener() {
			@Override
			public void onComplete(Map<String, Object> response) {
				logSet(response);

				CharSequence message = ResponseLogMaker.makeString(ResponseLogMaker.convertBLEUpdateParams(response));
				System.out.println(message);

				AlertDialog dialog = new AlertDialog.Builder(ReaderAppUpdateBT.this).create();
				dialog.setMessage(message);
				dialog.setTitle("結果");
				dialog.setButton(DialogInterface.BUTTON_POSITIVE, "OK", new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int which) {

					}
				});
				dialog.show();
			}
		});
	}
}
