package jp.veritrans.mpos.v2.sdk.sample.scene;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Switch;

import java.util.HashMap;
import java.util.Map;

import jp.veritrans.mpos.v2.sdk.MposCompleteListener;
import jp.veritrans.mpos.v2.sdk.MposHandler;
import jp.veritrans.mpos.v2.sdk.MposRequestParam;
import jp.veritrans.mpos.v2.sdk.sample.R;
import jp.veritrans.mpos.v2.sdk.sample.model.ResponseLogMaker;
import jp.veritrans.mpos.v2.sdk.sample.model.ResponseLogItem;

public class Refund extends SceneBase {

	private EditText editTextOrderID;

	private Switch switchOrderID;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_refund);
	}

	@Override
	public void setContentView(int layoutResID) {
		super.setContentView(layoutResID);

		editTextOrderID = findViewById(R.id.editTextOrderID);

		switchOrderID = findViewById(R.id.switchOrderID);
	}

	private Map<String, String> makeRequestParams() {
		// リクエストパラメータ
		Map<String, String> requestParams = new HashMap<>();
		if (switchOrderID.isChecked()) {
			requestParams.put(MposRequestParam.ORDER_ID, editTextOrderID.getText().toString());
		}

		return requestParams;
	}

	private void resultProcess(Map<String, ResponseLogItem> response) {
		logSet(response);

		CharSequence message = ResponseLogMaker.makeString(response);
		System.out.println(message);

		AlertDialog dialog = new AlertDialog.Builder(Refund.this).create();
		dialog.setMessage(message);
		dialog.setTitle("結果");
		dialog.setButton(DialogInterface.BUTTON_POSITIVE, "OK", new DialogInterface.OnClickListener() {
			@Override
			public void onClick(DialogInterface dialog, int which) {
			}
		});
		dialog.show();
	}

	public void onButtonStartForRefund(View v) {
		MposHandler sdkHandler = new MposHandler();

		// 共通ヘッダーパラメータ
		Map<String, String> headerParams = this.makeCommonHeaderParams();
		// リクエストパラメータ
		Map<String, String> requestParams = makeRequestParams();

		// 通信開始
		sdkHandler.requestRefund(this, headerParams, requestParams, new MposCompleteListener() {
			@Override
			public void onComplete(Map<String, Object> response) {
				resultProcess(ResponseLogMaker.convertRefundItems(response));
			}
		});
	}

	public void onButtonStartForCancel(View v) {
		MposHandler sdkHandler = new MposHandler();

		// 共通ヘッダーパラメータ
		Map<String, String> headerParams = this.makeCommonHeaderParams();
		// リクエストパラメータ
		Map<String, String> requestParams = makeRequestParams();

		// 通信開始
		sdkHandler.requestCancel(this, headerParams, requestParams, new MposCompleteListener() {
			@Override
			public void onComplete(Map<String, Object> response) {
				resultProcess(ResponseLogMaker.convertCancelItems(response));
			}
		});
	}
}
