package jp.veritrans.mpos.v2.sdk.sample.scene;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Switch;

import java.util.HashMap;
import java.util.Map;

import jp.veritrans.mpos.v2.sdk.MposCompleteListener;
import jp.veritrans.mpos.v2.sdk.MposHandler;
import jp.veritrans.mpos.v2.sdk.MposRequestParam;
import jp.veritrans.mpos.v2.sdk.sample.R;
import jp.veritrans.mpos.v2.sdk.sample.model.ResponseLogMaker;

public class Report extends SceneBase {

	private EditText editTextReportTimeFrom;
	private EditText editTextReportTimeTo;
	private EditText editTextPaymentMethodCode;
	private EditText editTextOrderStatus;

	private Switch switchReportTimeFrom;
	private Switch switchReportTimeTo;
	private Switch switchPaymentMethodCode;
	private Switch switchOrderStatus;


	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_report);
	}

	@Override
	public void setContentView(int layoutResID) {
		super.setContentView(layoutResID);

		editTextReportTimeFrom = findViewById(R.id.editTextReportTimeFrom);
		editTextReportTimeTo = findViewById(R.id.editTextReportTimeTo);
		editTextPaymentMethodCode = findViewById(R.id.editTextPaymentMethodCode);
		editTextOrderStatus = findViewById(R.id.editTextOrderStatus);

		switchReportTimeFrom = findViewById(R.id.switchReportTimeFrom);
		switchReportTimeTo = findViewById(R.id.switchReportTimeTo);
		switchPaymentMethodCode = findViewById(R.id.switchPaymentMethodCode);
		switchOrderStatus = findViewById(R.id.switchOrderStatus);
	}

	public void onButtonStart(View v) {
		MposHandler sdkHandler = new MposHandler();

		// 共通ヘッダーパラメータ
		Map<String, String> headerParams = this.makeCommonHeaderParams();
		// リクエストパラメータ
		Map<String, String> requestParams = new HashMap<>();
		if (switchReportTimeFrom.isChecked()) {
			requestParams.put(MposRequestParam.REPORT_TIME_FROM, editTextReportTimeFrom.getText().toString());
		}
		if (switchReportTimeTo.isChecked()) {
			requestParams.put(MposRequestParam.REPORT_TIME_TO, editTextReportTimeTo.getText().toString());
		}
		if (switchPaymentMethodCode.isChecked()) {
			requestParams.put(MposRequestParam.PAYMENT_METHOD_CODE, editTextPaymentMethodCode.getText().toString());
		}
		if (switchOrderStatus.isChecked()) {
			requestParams.put(MposRequestParam.ORDER_STATUS, editTextOrderStatus.getText().toString());
		}

		// 通信開始
		sdkHandler.requestReport(this, headerParams, requestParams, new MposCompleteListener() {
			@Override
			public void onComplete(Map<String, Object> response) {
				logSet(response);

				CharSequence message = ResponseLogMaker.makeString(ResponseLogMaker.convertReportItems(response));
				System.out.println(message);

				AlertDialog dialog = new AlertDialog.Builder(Report.this).create();
				dialog.setMessage(message);
				dialog.setTitle("結果");
				dialog.setButton(DialogInterface.BUTTON_POSITIVE, "OK", new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int which) {

					}
				});
				dialog.show();
			}
		});
	}
}
