package jp.veritrans.mpos.v2.sdk.sample.scene;

import android.content.Intent;
import android.os.Bundle;
import androidx.appcompat.app.AppCompatActivity;
import android.view.View;

import java.util.Map;

import jp.veritrans.mpos.v2.sdk.sample.model.CommonHeader;

/**
 * 画面ベースクラス
 */
public abstract class SceneBase extends AppCompatActivity {

	protected StringBuilder logData;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		logData = new StringBuilder();
	}

	public void onButtonMenu(View v) {
		Intent intent = new Intent(this, MainMenu.class);
		intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
		startActivity(intent);
	}

	public void onButtonLog(View v) {
		Intent intent = new Intent(this, Log.class);
		Log.logData = logData;
		startActivity(intent);
	}

	/**
	 * BACKボタンが押された時
	 *
	 * @param v ボタンView
	 */
	public void onButtonBack(View v) {
		finish();
	}

	/**
	 * 共通ヘッダーパラメータを作成して返す
	 *
	 * @return 共通ヘッダーパラメータインスタンス
	 */
	protected Map<String, String> makeCommonHeaderParams() {
		return CommonHeader.getInstance().getCommonHeaderParam(this);
	}

	/**
	 * ログをセット
	 *
	 * @param response ログ出力対象データ
	 */
	protected void logSet(Map response) {
		if (response.containsKey("LOG")) {
			logData.append(response.get("LOG"));
		}
	}
}
