package jp.veritrans.mpos.v2.sdk.sample.scene;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

import java.util.Collections;
import java.util.List;
import java.util.Map;

import jp.veritrans.mpos.v2.sdk.MposResponseParam;
import jp.veritrans.mpos.v2.sdk.sample.R;
import jp.veritrans.mpos.v2.sdk.sample.model.ResponseLogMaker;
import jp.veritrans.mpos.v2.sdk.sample.model.ResponseLogItem;
import jp.veritrans.mpos.v2.sdk.sample.model.ResponseLogOrder;

public class SearchList extends SceneBase {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_search_list);
	}

	@Override
	public void setContentView(int layoutResID) {
		super.setContentView(layoutResID);

		Intent intent = this.getIntent();
		//noinspection unchecked
		List<Map<String, String>> historyList = (List<Map<String, String>>) intent.getSerializableExtra(MposResponseParam.HISTORY_LIST);
		if (historyList == null) {
			historyList = Collections.emptyList();
		}

		final LayoutInflater inflater = (LayoutInflater) this.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		if (inflater == null) {
			return;
		}

		ArrayAdapter<Map<String, String>> adapter = new ArrayAdapter<Map<String, String>>(this, 0, historyList) {
			/**
			 * {@inheritDoc}
			 */
			@Override
			public View getView(int position, View convertView, @SuppressWarnings("NullableProblems") ViewGroup parent) {
				if (convertView == null) {
					convertView = inflater.inflate(R.layout.search_history_list_item, parent, false);
				}

				// 受信したデータをセット
				Map<String, String> params = getItem(position);
				if (params == null) {
					params = Collections.emptyMap();
				}

				Map<String, ResponseLogItem> items = ResponseLogMaker.convertItems(params, ResponseLogOrder.SEARCH_HISTORY_ORDERS);
				CharSequence text = ResponseLogMaker.makeString(items);
				((TextView) convertView.findViewById(R.id.textViewText)).setText(text);

				return convertView;
			}
		};

		ListView listView = findViewById(R.id.listViewSearch);
		listView.setAdapter(adapter);
	}
}
